Package org.springframework.jdbc.datasource

# Interface ConnectionProxy

All Superinterfaces:
  `AutoCloseable`, `Connection`, `Wrapper`

public interface ConnectionProxy extends Connection
Subinterface of `Connection` to be implemented by Connection proxies. Allows access to the underlying target Connection.

This interface can be checked when there is a need to cast to a native JDBC Connection such as Oracle's OracleConnection. Alternatively, all such connections also support JDBC 4.0's `Wrapper.unwrap(java.lang.Class<T>)`.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  - `TransactionAwareDataSourceProxy`
  - `LazyConnectionDataSourceProxy`
  - `DataSourceUtils.getTargetConnection(java.sql.Connection)`

## Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getTargetConnection()`
Return the target Connection of this proxy.

### Methods inherited from interface java.sql.Connection

`abort, beginRequest, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, endRequest, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid, setTransactionIsolation, setTypeMap`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### getTargetConnection

Connection getTargetConnection()
Return the target Connection of this proxy.

This will typically be the native driver Connection or a wrapper from a connection pool.

Returns:
  the underlying Connection (never `null`)